Subject: Fwd: Re: Q on joins

From: [email-masked]
Date: Thu, 12 Nov 1998 08:41:01 -0800 (PST)

On 12 Nov, vishwas wrote:
> 
> In PIM dense mode, the only purpose of Joins is to override the prunes   
> sent
> by a peer router to an upstream router. If so, the joins are to be   
> processed
> only in the interval during which the upstream router waits for the   
> joins.
> 
> If joins are received at some time after this interval, can they be
> processed
> to cancel the prune earlier received for that (S,G)?
> i.e.. Shud the joins be treated as grafts at other times?
> 
> I guess not!
> Am I right?
> 
> [vishwas]
> 
> I feel again the protocol has one case where this case will arise. It is   
> said that prune override (join delay)  should be equal to or smaller than   
> the prune delay timer value, which has a default value 3.

I think the wording in the spec got a little confused in the recent
revisions.  This is what it says in Sec. 5.2.1:

: The suggested delay time before  deletion  should
: be greater than 3 seconds. The default prune delay time is 3 seconds.

These two sentences sound contradictory to me.  Previous versions only
included the first, stating that delay should be [strictly] greater 
than 3s.  In that case, letter the join delay be less than or equal to 
3s seems okay.

Perhaps the second sentence, "The default prune delay time is 3 seconds"
needs to just be removed?

--Kurt
---------------------------------------------------------------------------
Kurt Windisch
Internet Engineering Group, LLC                              [email-masked]
Univ. Oregon - Advanced Network Technolgy Center     [email-masked]
ph 541-346-1698   ---  fax 541-346-4397  ---  http://ns.uoregon.edu/~kurtw/
PGP fingerprint: 33 2A 7E 38 24 36 03 11  DB BF 22 DA C4 28 CC 23